Unlinks a workflow from a project template.

Unlinks the workflow from the project template, cloning workflow statuses to local template-specific statuses. Custom fields and automations remain but become editable (no longer synced with workflow). <Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template.

Response

OK
idstringOptionalformat: "uuid"
The id of the template.
namestring or nullOptional
The name of the template.
descriptionstring or nullOptional
The description that will be used for the project created from this template. It will be appended to the project description provided by the user.
createdOnstringOptionalformat: "date-time"
The date this entity was created.
createdBystringOptionalformat: "uuid"
The id of the user who created this entity.
updatedOnstringOptionalformat: "date-time"
The date this entity was last modified.
updatedBystringOptionalformat: "uuid"
The id of the user who last modified this entity.
isBillableByDefaultstring or nullOptional
Whether project times should be billable by default, if the project was created by this template. Can be 'on', 'off', or 'auto'.
defaultTaskListIdForEmailsstring or nullOptionalformat: "uuid"
The id references the task list, which is used to assign tasks created by email to.
hasImagebooleanOptional
Whether the project template has an image in the files service.
copyImageToProjectOnCreationbooleanOptional
Whether the template image should be copied to the project during project creation. If the template has no image, no image is copied. No image is copied from the client.
projectTypeIdstring or nullOptionalformat: "uuid"
The id of the project type.
workflowIdstring or nullOptionalformat: "uuid"
The id of the workflow linked to this template.
timeBudgetintegerOptional
The amount of time budgeted for the project in seconds.
hasRelativeTasksbooleanOptional
True if any of the tasks of the template has relative dates.
projectStatuseslist of objects or nullOptionalDeprecated

Deprecated. Use GET /projectTemplates/{projectTemplateId}/projectStatuses instead. The list of project statuses associated with the template. This can be either workflow statuses or template-specific statuses depending on whether the template is linked to a workflow or not.

Errors

400
Bad Request Error
404
Not Found Error